SFSMETARESTORE(8)

NAME
sfsmetarestore - replay SaunaFS metadata change logs or dump SaunaFS metadata image

SYNOPSIS

sfsmetarestore [-z] -m OLDMETADATAFILE -o NEWMETADATAFILE [CHANGELOGFILE...]

sfsmetarestore -m METADATAFILE

sfsmetarestore [-z] -a [-d DIRECTORY]

sfsmetarestore -g -d DIRECTORY

sfsmetarestore -v

sfsmetarestore -?

DESCRIPTION

When sfsmetarestore is called with both -m and -o options, it replays given CHANGELOGFILEs on OLDMETADATAFILE and writes result to NEWMETADATAFILE. Multiple change log files can be given.

sfsmetarestore with just -m METADATAFILE option dumps SaunaFS metadata image file in human readable form.

sfsmetarestore called with -a option automatically performs all operations needed to merge change log files. Master data directory can be specified using -d DIRECTORY option.

sfsmetarestore -g with path to metadata files, prints latest metadata version that can be restored from disk. Prints 0 if metadata files are corrupted.

-v
    print version information and exit

-a
    autorestore mode (see above)

-d DATAPATH
    master data directory (for autorestore mode)

-g DIRECTORY
    Print latest metadata version that can be restored from disk at the directory. Prints 0 if metadata files are corrupted.

-m METADATAFILE
    specify input metadata image file

-o NEWMETADATAFILE
    specify output metadata image file

-z
    ignore metadata checksum inconsistency while applying changelogs

FILES

metadata.sfs
    Sauna File System metadata image as read by sfsmaster process

metadata.sfs.back
    Sauna File System metadata image as left by killed or crashed sfsmaster process

changelog.*.sfs
    Sauna File System metadata change logs

REPORTING BUGS

Report bugs to the Github repository https://github.com/leil/saunafs as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see http://www.gnu.org/licenses/.

SEE ALSO

sfsrestoremaster(8), sfsmaster(8), sfs(7)